fuss-client - Segnalazione #337

Problema con cambio password
07/01/2017 01:06 PM - Piergiorgio Cemin

Status: Risolto Start date: 07/01/2017
Priority: Normale Due date:

Assignee: Piergiorgio Cemin % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Ho creato un utente fuss - password prova0202 tramite octonet su nuova rete etorricelli.blz

Lo ho inserito in un gruppo insegnanti, creato ad hoc per evitare il problema di cambio password docenti, che non c'é ancora.
Ho modificato la password dell'utente su client con l'interfaccia Web che utilizzano gli alunni.

Il cambio sembra effettuarsi correttamente.

Ma riaccedendo con l'utente inserisco la nuova password e la richiede. Ma con un messaggio Password.

Reinserendola non accedo.

Inserendo la vecchia password accedo.

In sintesi: devo inserire prima la nuova password, poi la vecchia per accedere regolarmente.

History

#1 - 07/01/2017 01:21 PM - Piergiorgio Cemin

- Status changed from Nuovo to Commenti

Parzialmente risolto:

ho fatto gli ultimi aggiornamenti di octonet e di fuss-server e ora il problema principale sembra non presentarsi piu.
Resta il fatto che la password vine richiesta sempre due volte.

Primo inserimento: compare sotto la scritta Password

Secondo inserimento della nuova password: si accede.

#2 - 07/05/2017 09:52 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Riassegno a Simone che sta seguendo la cosa.

#3 - 07/05/2017 01:48 PM - Simone Piccardi

- Status changed from Commenti to In elaborazione

- Assignee changed from Simone Piccardi to Elena Grandi

C'e da aggiungere al codice PHP il cambio password anche per la parte di Kerberos, deve essere eseguito (via system o funzione analoga) il

comando:

kadmin -p numeutente@DOMINIO.LAN -w vecchiapassord —-gq "cpw —-pw nuovapassord numeutente@DOMINIO.LAN"

(dove DOMINIO.LAN e il realm della macchina).
#4 - 07/06/2017 05:16 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Piergiorgio Cemin

Pubblicata una nuova versione di fuss-server (8.0.19-1) che dovrebbe risolvere questi problemi.

Serve come al solito un fuss-server upgrade dopo l'aggiornamento del pacchetto (e se degli utenti hanno cambiato password dalla vecchia versione e
non riescono ad accedere potrebbe essere necessario reimpostargliela ad esempio da octonet).

#5 - 07/28/2018 09:13 PM - Paolo Dongilli

- Status changed from Commenti to Risolto
